<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::RE Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1RE.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::RE Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab215dbc2565fce641e1746ca43e9d68a"><td class="memItemLeft" align="right" valign="top"><a id="ab215dbc2565fce641e1746ca43e9d68a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RE</b> (const <a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a> &amp;other)</td></tr>
<tr class="separator:ab215dbc2565fce641e1746ca43e9d68a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8840bd639642f3d4769a94a68ce463c2"><td class="memItemLeft" align="right" valign="top"><a id="a8840bd639642f3d4769a94a68ce463c2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RE</b> (const ::std::string &amp;regex)</td></tr>
<tr class="separator:a8840bd639642f3d4769a94a68ce463c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908ea936a5b7a14479a1b292a7189ca6"><td class="memItemLeft" align="right" valign="top"><a id="a908ea936a5b7a14479a1b292a7189ca6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RE</b> (const char *regex)</td></tr>
<tr class="separator:a908ea936a5b7a14479a1b292a7189ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24236aab3a6b0183a145a6f4c0bb9848"><td class="memItemLeft" align="right" valign="top"><a id="a24236aab3a6b0183a145a6f4c0bb9848"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>pattern</b> () const</td></tr>
<tr class="separator:a24236aab3a6b0183a145a6f4c0bb9848"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aa79a950758d0f1d62f7762d1e9cefe86"><td class="memItemLeft" align="right" valign="top"><a id="aa79a950758d0f1d62f7762d1e9cefe86"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>FullMatch</b> (const ::std::string &amp;str, const <a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a> &amp;re)</td></tr>
<tr class="separator:aa79a950758d0f1d62f7762d1e9cefe86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e81f9a87211bdca645e025f8f0236c8"><td class="memItemLeft" align="right" valign="top"><a id="a1e81f9a87211bdca645e025f8f0236c8"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>PartialMatch</b> (const ::std::string &amp;str, const <a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a> &amp;re)</td></tr>
<tr class="separator:a1e81f9a87211bdca645e025f8f0236c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b13ec1f6ccd6c32f7efa01e21588f0b"><td class="memItemLeft" align="right" valign="top"><a id="a2b13ec1f6ccd6c32f7efa01e21588f0b"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>FullMatch</b> (const char *str, const <a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a> &amp;re)</td></tr>
<tr class="separator:a2b13ec1f6ccd6c32f7efa01e21588f0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97495dd4c2bb9589522823f060c8e8ba"><td class="memItemLeft" align="right" valign="top"><a id="a97495dd4c2bb9589522823f060c8e8ba"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>PartialMatch</b> (const char *str, const <a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a> &amp;re)</td></tr>
<tr class="separator:a97495dd4c2bb9589522823f060c8e8ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-port_8h_source.html">gtest-port.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1RE.html">RE</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
